#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kdardirectoryfilterdlg.ui'
**
** Created: Fri Jul 23 11:11:45 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.3   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kdardirectoryfilterdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a kdarDirectoryFilterDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
kdarDirectoryFilterDlg::kdarDirectoryFilterDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "kdarDirectoryFilterDlg" );
    kdarDirectoryFilterDlgLayout = new QGridLayout( this, 1, 1, 11, 6, "kdarDirectoryFilterDlgLayout"); 

    fileFilterOKButton = new QPushButton( this, "fileFilterOKButton" );

    kdarDirectoryFilterDlgLayout->addWidget( fileFilterOKButton, 1, 1 );

    fileFilterCancelButton = new QPushButton( this, "fileFilterCancelButton" );

    kdarDirectoryFilterDlgLayout->addWidget( fileFilterCancelButton, 1, 2 );
    QSpacerItem* spacer = new QSpacerItem( 301, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    kdarDirectoryFilterDlgLayout->addItem( spacer, 1, 0 );

    frame6 = new QFrame( this, "frame6" );
    frame6->setFrameShape( QFrame::StyledPanel );
    frame6->setFrameShadow( QFrame::Raised );
    frame6Layout = new QGridLayout( frame6, 1, 1, 11, 6, "frame6Layout"); 

    directoryButtonGroup = new QButtonGroup( frame6, "directoryButtonGroup" );
    directoryButtonGroup->setColumnLayout(0, Qt::Vertical );
    directoryButtonGroup->layout()->setSpacing( 6 );
    directoryButtonGroup->layout()->setMargin( 11 );
    directoryButtonGroupLayout = new QGridLayout( directoryButtonGroup->layout() );
    directoryButtonGroupLayout->setAlignment( Qt::AlignTop );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    filesystemRadioButton = new QRadioButton( directoryButtonGroup, "filesystemRadioButton" );
    layout11->addWidget( filesystemRadioButton );

    directoryFilesystemTypeComboBox = new QComboBox( FALSE, directoryButtonGroup, "directoryFilesystemTypeComboBox" );
    directoryFilesystemTypeComboBox->setEnabled( FALSE );
    layout11->addWidget( directoryFilesystemTypeComboBox );

    directoryFilterValueLineEdit = new QLineEdit( directoryButtonGroup, "directoryFilterValueLineEdit" );
    directoryFilterValueLineEdit->setEnabled( FALSE );
    layout11->addWidget( directoryFilterValueLineEdit );

    directoryFilterSelectButton = new QPushButton( directoryButtonGroup, "directoryFilterSelectButton" );
    directoryFilterSelectButton->setEnabled( FALSE );
    layout11->addWidget( directoryFilterSelectButton );

    directoryButtonGroupLayout->addLayout( layout11, 1, 0 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    listRadioButton = new QRadioButton( directoryButtonGroup, "listRadioButton" );
    listRadioButton->setChecked( TRUE );
    layout10->addWidget( listRadioButton );

    directoryListTypeComboBox = new QComboBox( FALSE, directoryButtonGroup, "directoryListTypeComboBox" );
    layout10->addWidget( directoryListTypeComboBox );

    directoryListComboBox = new QComboBox( FALSE, directoryButtonGroup, "directoryListComboBox" );
    layout10->addWidget( directoryListComboBox );

    directoryButtonGroupLayout->addLayout( layout10, 0, 0 );

    frame6Layout->addWidget( directoryButtonGroup, 0, 0 );

    kdarDirectoryFilterDlgLayout->addMultiCellWidget( frame6, 0, 0, 0, 2 );
    languageChange();
    resize( QSize(533, 196).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( fileFilterOKButton, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( fileFilterCancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( directoryFilterSelectButton, SIGNAL( clicked() ), this, SLOT( slotDirectoryFilterSelect() ) );
    connect( listRadioButton, SIGNAL( toggled(bool) ), directoryListTypeComboBox, SLOT( setEnabled(bool) ) );
    connect( listRadioButton, SIGNAL( toggled(bool) ), directoryListComboBox, SLOT( setEnabled(bool) ) );
    connect( filesystemRadioButton, SIGNAL( toggled(bool) ), directoryFilesystemTypeComboBox, SLOT( setEnabled(bool) ) );
    connect( filesystemRadioButton, SIGNAL( toggled(bool) ), directoryFilterValueLineEdit, SLOT( setEnabled(bool) ) );
    connect( filesystemRadioButton, SIGNAL( toggled(bool) ), directoryFilterSelectButton, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
kdarDirectoryFilterDlg::~kdarDirectoryFilterDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void kdarDirectoryFilterDlg::languageChange()
{
    setCaption( tr2i18n( "Add directory filter" ) );
    fileFilterOKButton->setText( tr2i18n( "&OK" ) );
    fileFilterCancelButton->setText( tr2i18n( "&Cancel" ) );
    directoryButtonGroup->setTitle( tr2i18n( "Choose from:" ) );
    filesystemRadioButton->setText( tr2i18n( "filesystem" ) );
    directoryFilesystemTypeComboBox->clear();
    directoryFilesystemTypeComboBox->insertItem( tr2i18n( "Exclude" ) );
    directoryFilesystemTypeComboBox->insertItem( tr2i18n( "Include" ) );
    directoryFilterSelectButton->setText( tr2i18n( "..." ) );
    listRadioButton->setText( tr2i18n( "list" ) );
    directoryListTypeComboBox->clear();
    directoryListTypeComboBox->insertItem( tr2i18n( "Exclude" ) );
    directoryListTypeComboBox->insertItem( tr2i18n( "Include" ) );
    directoryListComboBox->clear();
    directoryListComboBox->insertItem( tr2i18n( "/proc" ) );
    directoryListComboBox->insertItem( tr2i18n( "/dev/pts" ) );
    directoryListComboBox->insertItem( tr2i18n( "/tmp" ) );
    directoryListComboBox->insertItem( tr2i18n( "/var/tmp" ) );
    directoryListComboBox->insertItem( tr2i18n( "All of the above" ) );
}

void kdarDirectoryFilterDlg::slotDirectoryFilterSelect()
{
    qWarning( "kdarDirectoryFilterDlg::slotDirectoryFilterSelect(): Not implemented yet" );
}

#include "kdardirectoryfilterdlg.moc"
