/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 
#ifndef _KDARPOSTLISTVIEWITEMEVENT_H_
#define _KDARPOSTLISTVIEWITEMEVENT_H_
 
#include <qevent.h>
#include <qstring.h>

    class kdarPostListViewItemEvent : public QCustomEvent
    {
    public:
        kdarPostListViewItemEvent( QString text, bool clearView )
            : QCustomEvent( 1006 ),
				m_text( text ),
				m_clearView( clearView )
	 {
	 }
        
	QString text() const { return m_text; }
	bool clearView() const { return m_clearView; }
	
    private:
		QString m_text;
		bool m_clearView;
	};

 
 #endif // _KDARPOSTLISTVIEWITEMEVENT_H_
