/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/


#include "kdarconfigobject.h"

KDarConfigObject::KDarConfigObject(QWidget* parent, const char* name, bool modal, WFlags fl)
        : kdarConfigureDlg(parent,name, modal,fl)
{}

KDarConfigObject::~KDarConfigObject()
{}

/*$SPECIALIZATION$*/
void KDarConfigObject::slotStatusBarFont( const QFont & )
{}

void KDarConfigObject::slotMessageWindowFont( const QFont & )
{}

void KDarConfigObject::slotFileBrowserFont( const QFont &)
{}

void KDarConfigObject::slotGeneralFont(const QFont &)
{}

void KDarConfigObject::slotCompressionAlgorithmBZip2( bool )
{}

void KDarConfigObject::slotFirstSliceSize( const QString &)
{}

void KDarConfigObject::slotSliceSize( const QString &)
{}

void KDarConfigObject::slotPassRef( const QString &)
{}

void KDarConfigObject::slotExecuteRef( const QString &)
{}

void KDarConfigObject::slotPasswordString( const QString &)
{}

void KDarConfigObject::slotExecuteCommand( const QString &)
{}

void KDarConfigObject::slotOutputPipe( const QString &)
{}

void KDarConfigObject::slotInputPipe( const QString &)
{}

void KDarConfigObject::slotArchiveStorageDirectory( const QString &)
{}

void KDarConfigObject::slotArchiveName( const QString &)
{}

void KDarConfigObject::slotRemoveAllFileFilter()
{}

void KDarConfigObject::slotRemoveFileFilter()
{}

void KDarConfigObject::slotEditFileFilter()
{}

void KDarConfigObject::slotNewFileFilter()
{}

void KDarConfigObject::slotRemoveAllDirectoryFilter()
{}

void KDarConfigObject::slotRemoveDirectoryFilter()
{}

void KDarConfigObject::slotEditDirectoryFilter()
{}

void KDarConfigObject::slotNewDirectoryFilter()
{}

void KDarConfigObject::slotRemoveAllCompressionFilter()
{}

void KDarConfigObject::slotRemoveCompressionFilter()
{}

void KDarConfigObject::slotEditCompressionFilter()
{}

void KDarConfigObject::slotNewCompressionFilter()
{}

void KDarConfigObject::slotCompressionAlgorithmNone( bool )
{}

void KDarConfigObject::slotCompressionAlgorithmGZip( bool )
{}

void KDarConfigObject::slotFileMaskType( int )
{}

void KDarConfigObject::slotCompressionMaskType( int )
{}

void KDarConfigObject::slotHourShiftInt( int )
{}

void KDarConfigObject::slotMinimumCompressionSizeInt( int )
{}

void KDarConfigObject::slotCompressionLevel( int )
{}

void KDarConfigObject::slotCompressionAlgorithm( int )
{}

void KDarConfigObject::slotFirstSliceSizeSuffix( int )
{}

void KDarConfigObject::slotSliceSizeSuffix( int )
{}

void KDarConfigObject::slotMedia( int )
{}

void KDarConfigObject::slotIgnoreDump( bool )
{}

void KDarConfigObject::slotKeepPruned( bool )
{}

void KDarConfigObject::slotPauseBetweenSlices( bool )
{}

void KDarConfigObject::slotSplitArchive( bool )
{}

void KDarConfigObject::slotUseCreateArchiveWizard( bool )
{}

void KDarConfigObject::slotFlatRestore( bool )
{}

void KDarConfigObject::slotRestoreRecent( bool )
{}

void KDarConfigObject::slotNoDelete( bool )
{}

void KDarConfigObject::slotIgnoreID( bool )
{}

void KDarConfigObject::slotSystemEA( bool )
{}

void KDarConfigObject::slotUserEA( bool )
{}

void KDarConfigObject::slotWarnOnOverwrite( bool )
{}

void KDarConfigObject::slotAllowOverwrite( bool )
{}

void KDarConfigObject::slotVerbose( bool )
{}

void KDarConfigObject::slotHelp()
{}

void KDarConfigObject::setMediaSize( int )
{}



#include "kdarconfigobject.moc"

