/***************************************************************************
 *   Copyright (C) 2004 by Johnathan Burchill                              *
 *   jkerrb@users.sourceforge.net                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/


#include "kdarconfigureobject.h"

KDarConfigureObject::KDarConfigureObject(QWidget* parent, const char* name, bool modal, WFlags fl)
        : kdarConfigureDlg(parent,name, modal,fl)
{}

KDarConfigureObject::~KDarConfigureObject()
{}

/*$SPECIALIZATION$*/
void KDarConfigureObject::slotStatusBarFont( const QFont & )
{}

void KDarConfigureObject::slotMessageWindowFont( const QFont & )
{}

void KDarConfigureObject::slotFileBrowserFont( const QFont &)
{}

void KDarConfigureObject::slotGeneralFont(const QFont &)
{}

void KDarConfigureObject::slotCompressionAlgorithmBZip2( bool )
{}

void KDarConfigureObject::slotFirstSliceSize( const QString &)
{}

void KDarConfigureObject::slotSliceSize( const QString &)
{}

void KDarConfigureObject::slotPassRef( const QString &)
{}

void KDarConfigureObject::slotExecuteRef( const QString &)
{}

void KDarConfigureObject::slotPasswordString( const QString &)
{}

void KDarConfigureObject::slotExecuteCommand( const QString &)
{}

void KDarConfigureObject::slotOutputPipe( const QString &)
{}

void KDarConfigureObject::slotInputPipe( const QString &)
{}

void KDarConfigureObject::slotArchiveStorageDirectory( const QString &)
{}

void KDarConfigureObject::slotArchiveName( const QString &)
{}

void KDarConfigureObject::slotRemoveAllFileFilter()
{}

void KDarConfigureObject::slotRemoveFileFilter()
{}

void KDarConfigureObject::slotEditFileFilter()
{}

void KDarConfigureObject::slotNewFileFilter()
{}

void KDarConfigureObject::slotRemoveAllDirectoryFilter()
{}

void KDarConfigureObject::slotRemoveDirectoryFilter()
{}

void KDarConfigureObject::slotEditDirectoryFilter()
{}

void KDarConfigureObject::slotNewDirectoryFilter()
{}

void KDarConfigureObject::slotRemoveAllCompressionFilter()
{}

void KDarConfigureObject::slotRemoveCompressionFilter()
{}

void KDarConfigureObject::slotEditCompressionFilter()
{}

void KDarConfigureObject::slotNewCompressionFilter()
{}

void KDarConfigureObject::slotCompressionAlgorithmNone( bool )
{}

void KDarConfigureObject::slotCompressionAlgorithmGZip( bool )
{}

void KDarConfigureObject::slotFileMaskType( int )
{}

void KDarConfigureObject::slotCompressionMaskType( int )
{}

void KDarConfigureObject::slotHourShiftInt( int )
{}

void KDarConfigureObject::slotMinimumCompressionSizeInt( int )
{}

void KDarConfigureObject::slotCompressionLevel( int )
{}

void KDarConfigureObject::slotCompressionAlgorithm( int )
{}

void KDarConfigureObject::slotFirstSliceSizeSuffix( int )
{}

void KDarConfigureObject::slotSliceSizeSuffix( int )
{}

void KDarConfigureObject::slotMedia( int )
{}

void KDarConfigureObject::slotIgnoreDump( bool )
{}

void KDarConfigureObject::slotKeepPruned( bool )
{}

void KDarConfigureObject::slotPauseBetweenSlices( bool )
{}

void KDarConfigureObject::slotSplitArchive( bool )
{}

void KDarConfigureObject::slotUseCreateArchiveWizard( bool )
{}

void KDarConfigureObject::slotFlatRestore( bool )
{}

void KDarConfigureObject::slotRestoreRecent( bool )
{}

void KDarConfigureObject::slotNoDelete( bool )
{}

void KDarConfigureObject::slotIgnoreID( bool )
{}

void KDarConfigureObject::slotSystemEA( bool )
{}

void KDarConfigureObject::slotUserEA( bool )
{}

void KDarConfigureObject::slotWarnOnOverwrite( bool )
{}

void KDarConfigureObject::slotAllowOverwrite( bool )
{}

void KDarConfigureObject::slotVerbose( bool )
{}

void KDarConfigureObject::slotHelp()
{}

void KDarConfigureObject::setMediaSize( int )
{}



#include "kdarconfigureobject.moc"

