/*
 * Copyright (C) 2001 Johnathan Burchill,,, <jkerrb@shaw.ca>
 */

#ifndef _KDARVIEW_H_
#define _KDARVIEW_H_

#include <qwidget.h>
#include <kparts/part.h>
#include <kdariface.h>

class QPainter;
class QPaintDeviceMetrics;
class KPrinter;
class KURL;
class kdarDialog;

/**
 * This is the main view class for kdar.  Most of the non-menu,
 * non-toolbar, and non-statusbar (e.g., non frame) GUI code should go
 * here.
 *
 * This kdar uses an HTML component as an example.
 *
 * @short Main view
 * @author Johnathan Burchill,,, <jkerrb@shaw.ca>
 * @version 0.1
 */
class kdarView : public QWidget, public kdarIface
{
    Q_OBJECT
public:
	/**
	 * Default constructor
	 */
    kdarView(QWidget *parent);

	/**
	 * Destructor
	 */
    virtual ~kdarView();

    /**
     * Print this view to any medium -- paper or not
     */
    void print(QPainter *, KPrinter *, QPaintDeviceMetrics *);

	kdarDialog * kdarbase;

protected:

signals:

private slots:

private:

};

#endif // _KDARVIEW_H_
